Bug 1121167 - [RFE] KIOSK Mode for SPICE
Summary: [RFE] KIOSK Mode for SPICE
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Rob Young
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 14:25 UTC by Robert McSwain
Modified: 2019-05-16 13:04 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-18 13:49:04 UTC
oVirt Team: Virt
sherold: Triaged+


Attachments (Terms of Use)

Description Robert McSwain 2014-07-18 14:25:01 UTC
1. Proposed title of this feature request:  KIOSK Mode      
      
3. What is the nature and description of the request?  

When SPICE is in full screen mode a hidden bar on the top middle screen allow users to minimize the session or close it completely. I would like to request a feature on RHEV-M to enable or disable the hidden bar feature on a per VM bases.
      
4. List the business requirements here:

In a College/Student Lab I would like to replace physical PCs with SPICE able thin clients. Such that the students can't tell the difference between a physical PC and a virtual PC. Students should not be able to come out of the VM environment while SPICE is running. There should be no visible or hidden indicators on the screen indicating a remote session. It should work similar to a KIOSK machine where a user does not have access to the underlying PC.
      
5. How would you like to achieve this? (List the functional requirements here)  

In RHEV-M 3.3 an administrator has the ability to customize a VM by clicking Edit. A dialog box appears with the title "Edit Virtual Machine". An administrator should be able to click on "Show Advance Options" --> "Console" --> KIOSK MODE with option enable or disable. The the default value for KIOSK MODE should be disable.
      
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented
      
7. Does you have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  

RHEVM 3.4
      
8. Is the sales team involved in this request and do they have any additional input?  

No      

9. List any affected packages or components.  

SPICE packages in RHEV-M      

10. Would you be able to assist in testing this functionality if implemented?  

Yes

Comment 2 Marc-Andre Lureau 2014-07-18 14:37:03 UTC
moving back to RFE for portal integration and prioritizing by PM

The original virt-viewer bug for kiosk mode is bug 872723 (fixed in rhel 6.6)

Comment 3 Christophe Fergeau 2014-08-05 14:34:33 UTC
(In reply to Robert McSwain from comment #0)
>       
> 5. How would you like to achieve this? (List the functional requirements
> here)  
> 
> In RHEV-M 3.3 an administrator has the ability to customize a VM by clicking
> Edit. A dialog box appears with the title "Edit Virtual Machine". An
> administrator should be able to click on "Show Advance Options" -->
> "Console" --> KIOSK MODE with option enable or disable. The the default
> value for KIOSK MODE should be disable.

NB: it's likely that it won't be as seamless as that as in addition to having virt-viewer support kiosk-mode, you also want either no window manager, or a hardened window manager which ensures you don't get out of the session (eg ou don't want to be able to exit by pressing alt+f4)

Comment 4 Robert McSwain 2014-10-06 15:16:10 UTC
From the customer:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
I am willing to settle for just removing the drop down bar at the top middle of the screen which hides and unhides if the cursor hovers over it. Is this possible? Of course, I still want the "Show Advance Options" --> "Console" --> "KIOSK MODE" with option enable or disable.

In addition, can you make the browser plugin more persistent? For example, when the session ends instead of closing can you have a Red Hat logo on the screen but in the background it will be trying to reconnect the session. This may require another checkbox in "Show Advance Options" ---> "Console" --> "Persistence" with option enable or disable.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Comment 6 Michal Skrivanek 2015-06-05 12:13:35 UTC
This bug did not make it in time for 3.6 release, moving out

Comment 7 Yaniv Kaul 2015-11-18 15:40:07 UTC
michal - looks like a student project - can we consider for 4.0?

Comment 8 Michal Skrivanek 2015-11-18 16:41:11 UTC
It is flagged as weekathon item already

Comment 9 Moran Goldboim 2016-03-20 21:33:10 UTC
Due to capacity constrains, postponing for next release.

Comment 12 Martin Tessun 2018-06-18 13:49:04 UTC
Thank you for submitting this request for inclusion in Red Hat Virtualization. We've carefully evaluated the request, but are unable to include it in a future release. To request that Red Hat re-consider this request, please re-open the bugzilla via appropriate support channels and provide additional business and/or technical details about its importance to you.

Comment 13 Franta Kust 2019-05-16 13:04:16 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.